

# JaxKineticModel
Python package to simulate, build, and train kinetic models.

### Installation

```
git clone https://github.com/AbeelLab/jaxkineticmodel.git
python -m pip install .
```


### Documentation package 
Documentation on jaxkineticmodel can be found [here](https://abeellab.github.io/jaxkineticmodel/)

### Running experiments as reported in paper
- Datasets generated from SBML models can be found in [datasets](datasets/)
- Glucose pulse datasets can be found [here](datasets/VanHeerden_Glucose_Pulse/)
- Experiments as reported in [1] can be found in [scripts](scripts/). Results from these experiments can found in the 
[4tu-repository](https://data.4tu.nl/private_datasets/o-HY8kDJhoCXyNOijO9Eaylje7E2dU-ex-edboPBDZ8)

### Source code
All data, source code, scripts, and results can be found in the [4tu-repository](https://data.4tu.nl/private_datasets/o-HY8kDJhoCXyNOijO9Eaylje7E2dU-ex-edboPBDZ8)

### Reference
If you use this package in your work, please reference:

[1] Lent, P. V., Bunkova, O., Planken, L., Schmitz, J., & Abeel, T. (2024). 
Neural Ordinary Differential Equations Inspired Parameterization of Kinetic Models. bioRxiv, 2024-12.
